Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364762 - [abrt] file-roller: g_type_check_instance_cast(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: g_type_check_instance_cast(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a6186b00bc598dd85562b675f64...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 06:47 UTC by Joachim Frieben
Modified: 2017-12-12 10:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:27:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-08-07 06:47 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-08-07 06:47:28 UTC
Version-Release number of selected component:
file-roller-3.20.2-1.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller '/run/user/1000/gvfs/dav:host=webdav.magentacloud.de,ssl=true/Dokumente/Lorene tab. EoS.zip'
crash_function: g_type_check_instance_cast
executable:     /usr/bin/file-roller
global_pid:     2375
kernel:         4.7.0-2.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4056
 #1 fr_window_enable_action at fr-window.c:676
 #6 _gtk_clipboard_handle_event at gtkclipboard.c:2024
 #7 gtk_main_do_event at gtkmain.c:1672
 #8 _gdk_event_emit at gdkevents.c:73
 #14 gtk_clipboard_wait_for_contents at gtkclipboard.c:1429
 #15 gtk_clipboard_wait_for_targets at gtkclipboard.c:1881
 #16 gtk_clipboard_wait_is_target_available at gtkclipboard.c:1989
 #17 fr_window_update_paste_command_sensitivity at fr-window.c:750
 #22 _gtk_clipboard_handle_event at gtkclipboard.c:2024

Comment 1 Joachim Frieben 2016-08-07 06:47:33 UTC
Created attachment 1188337 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-08-07 06:47:34 UTC
Created attachment 1188338 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-08-07 06:47:35 UTC
Created attachment 1188339 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-08-07 06:47:37 UTC
Created attachment 1188340 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-08-07 06:47:38 UTC
Created attachment 1188341 [details]
File: environ

Comment 6 Joachim Frieben 2016-08-07 06:47:39 UTC
Created attachment 1188342 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-08-07 06:47:40 UTC
Created attachment 1188343 [details]
File: limits

Comment 8 Joachim Frieben 2016-08-07 06:47:42 UTC
Created attachment 1188344 [details]
File: maps

Comment 9 Joachim Frieben 2016-08-07 06:47:43 UTC
Created attachment 1188345 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-08-07 06:47:44 UTC
Created attachment 1188346 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-08-07 06:47:46 UTC
Created attachment 1188347 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-08-07 06:47:47 UTC
Created attachment 1188348 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-08-07 06:47:48 UTC
Created attachment 1188349 [details]
File: var_log_messages

Comment 14 Kamil Páral 2016-09-08 12:38:06 UTC
This seems to occur every time you close file-roller, after a while.

Comment 15 Fedora End Of Life 2017-11-16 14:19:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:27:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.